﻿@using System.Web.UI.WebControls
@using System;
@using System.Linq;
@using System.Web;
@using System.Web.Mvc;
@using System.Data;
@model Toyota.Common.Web.MVC.ModelHolder
@{
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
@section Style{

}

<script type="text/javascript">
    
     $( document ).ready(function() {
     
    });

    function OnBeginCallback(s, e) {
        e.customArgs["destination"] = txtdestination.GetText();
        e.customArgs["modulename"] = txtmodule.GetText();
    }

    function SearchData(s, e) {
            WorklistGrid.PerformCallback();
    }

       function CancelWorklist() {
          
           txtdestination.SetText('');
           txtmodule.SetText('');
           foliotxt.SetText('');
           modulecdtxt.SetText('');
           popupEditWorklist.Hide();

   }


    var GetDestination='';
    var GetModuleName='';

    function WorklistEditLink(s, e) {
        var i = '';
        var destination='';
        var modulename = '';
        var folio = '';
        var modulecd = '';
        i = s.name.substring(16);
        destination = $('#WorklistGrid').find('#DestinationNameLabel' + i).filter(':first');
        modulename = $('#WorklistGrid').find('#ModuleNameLabel' + i).filter(':first');
        folio = $('#WorklistGrid').find('#FolioCDLabel' + i).filter(':first');
        modulecd = $('#WorklistGrid').find('#ModuleCDLabel' + i).filter(':first');
        destinationtxt.SetText(destination.text());
        moduletxt.SetText(modulename.text());
        foliotxt.SetText(folio.text());
        modulecdtxt.SetText(modulecd.text());
        tempdestination = destination.text();
        btnUpdateWorklist.SetEnabled(true);
        popupEditWorklist.SetHeaderText('Update Worklist');
        popupEditWorklist.Show();
    }

    function ClearItem(s, e) {
          txtdestination.SetText('');
          txtmodule.SetText('');
          foliotxt.SetText('');
          modulecdtxt.SetText('');
          WorklistGrid.PerformCallback();
    }

    var tempdestination='';

      function UpdateWorklist(s, e) {
       var vardestination = destinationtxt.GetText();
       var varmodule = moduletxt.GetText();
       var varfolio = foliotxt.GetText();
       var varmodulecd = modulecdtxt.GetText();
       if (txtdestination != "" ) {
          
           $.ajax(
            {
                type : "POST",
                url: "@Url.Content("~/WorklistDistribution/UpdateWorklist")",
                async: false,
                data :
                {
                    pdestination : vardestination,
                    pmodule: varmodule,
                    pfolio :varfolio ,
                    pmodulecd : varmodulecd,
                    ptempdestination : tempdestination 
                },
                success : function(result)
                {
                    alert(result);
                    popupEditWorklist.Hide();
                    destinationtxt.SetText('');
                    moduletxt.SetText('');
                    foliotxt.SetText('');
                    modulecdtxt.SetText('');
                    WorklistGrid.PerformCallback();
                },
                error : function (result)
                {
                    alert(result);
                    popupEditWorklist.Hide();
                    destinationtxt.SetText('');
                    moduletxt.SetText('');
                    foliotxt.SetText('');
                    modulecdtxt.SetText('');
                    WorklistGrid.PerformCallback();        
                }
            });
            tempdestination='';
        } else {
                alert("Data Destination Must Be Filled");
        }
    }


</script>

<div style="display: table; border: 1px solid #142B94; background-color: #DEECFD;padding: 10px;">
    @{
        Html.RenderPartial("HeaderWorklist");
     }
</div>
<div style="height: 8px;"></div>
<div>
    @Html.Partial("GridWorklist", Model)
</div>

@Html.DevExpress().PopupControl(settings =>
{
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupEditWorklist";
    settings.CallbackRouteValues = new { Controller = "WorklistDistribution", Action = "PartialPopupEditWorklist" };
    settings.HeaderText = "Edit Data Worklist Distribution";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(200);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(100);
    settings.SetContent(() =>
    {
        Html.RenderAction("PopupEditWorklistPartial", "WorklistDistribution");
    });
}).GetHtml()


